JUCE: URLInputSource Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
URLInputSource Class Reference
juce_core » streams

A type of InputSource that represents a URL. More...

`#include <juce_URLInputSource.h>`

Inheritance diagram for URLInputSource:

## Public Member Functions
| URLInputSource (const URL &url)
| Creates a URLInputSource for a url.
| URLInputSource (URL &&url)
| Move constructor which will move the URL into the InputSource.
| ~URLInputSource () override
| Destructor.
InputStream * | createInputStream () override
| Returns a new InputStream to read this item.
InputStream * | createInputStreamFor (const String &relatedItemPath) override
| Returns a new InputStream to read an item, relative.
int64 | hashCode () const override
| Returns a hash code that uniquely represents this item.
Public Member Functions inherited from InputSource
| InputSource ()=default
virtual | ~InputSource ()=default
| Destructor.

## Detailed Description

A type of InputSource that represents a URL.

See also
  InputSource

## Constructor & Destructor Documentation

## ◆ URLInputSource() [1/2]

URLInputSource::URLInputSource | ( | const URL & | url | ) |

Creates a URLInputSource for a url.

## ◆ URLInputSource() [2/2]

URLInputSource::URLInputSource | ( | URL && | url | ) |

Move constructor which will move the URL into the InputSource.

This is useful when the url carries any security credentials.

## ◆ ~URLInputSource()

URLInputSource::~URLInputSource | ( |  | ) |
| override

Destructor.

## Member Function Documentation

## ◆ createInputStream()

InputStream * URLInputSource::createInputStream | ( |  | ) |
| overridevirtual

Returns a new InputStream to read this item.

Returns
  an inputstream that the caller will delete, or nullptr if the filename isn't found.

Implements InputSource.

## ◆ createInputStreamFor()

InputStream * URLInputSource::createInputStreamFor | ( | const String & | relatedItemPath | ) |
| overridevirtual

Returns a new InputStream to read an item, relative.

Parameters

  relatedItemPath | the relative pathname of the resource that is required

Returns
  an inputstream that the caller will delete, or nullptr if the item isn't found.

Implements InputSource.

## ◆ hashCode()

int64 URLInputSource::hashCode | ( |  | ) | const
| overridevirtual

Returns a hash code that uniquely represents this item.

Implements InputSource.

The documentation for this class was generated from the following file:

- juce_URLInputSource.h